# CheckBox QML Type

CheckBox is a component with two states, checked or unchecked. It can be used to set boolean options. The behavior is the same as Switch, the only difference is the graphical style. More...

Import Statement: | import Lomiri.Components 1.3
Inherits: | AbstractButton
Inherited By: | Switch

- List of all members, including inherited members

## Properties

- checked : bool

## Detailed Description

See also the Design Guidelines on selection.

Example:

    Item {
        CheckBox {
            checked: true
        }
    }

## Property Documentation

checked : bool

Specifies whether the checkbox is checked or not. By default the property is set to false.